org.apache.hc.client5.http.impl.auth

## Class KerberosSchemeFactory

- java.lang.Object
- - org.apache.hc.client5.http.impl.auth.KerberosSchemeFactory

All Implemented Interfaces:
  AuthSchemeProvider

    @Contract(threading=STATELESS)
    @Experimental
    public class KerberosSchemeFactory
    extends Object
    implements AuthSchemeProvider

`AuthSchemeProvider` implementation that creates and initializes `KerberosScheme` instances.

Please note this class is considered experimental and may be discontinued or removed in the future.

Since:
  4.2

### Constructor Summary

Constructors
Constructor and Description
`KerberosSchemeFactory(KerberosConfig config, DnsResolver dnsResolver)`

### Method Summary

Methods
`AuthScheme` `create(HttpContext context)` Creates an instance of `AuthScheme`.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### KerberosSchemeFactory

    public KerberosSchemeFactory(KerberosConfig config,
                         DnsResolver dnsResolver)

Since:
  5.0

### Method Detail

#### create

    public AuthScheme create(HttpContext context)

Description copied from interface: `AuthSchemeProvider`
Creates an instance of `AuthScheme`.

Specified by:
  `create` in interface `AuthSchemeProvider`
Returns:
  auth scheme.